# Uses of Enum Class
java.awt.font.NumericShaper.Range

Packages that use NumericShaper.Range
Package
Description
java.awt.font
Provides classes and interface relating to fonts.

## Uses of NumericShaper.Range in java.awt.font

Methods in java.awt.font that return NumericShaper.Range
Modifier and Type
Method
Description
`static NumericShaper.Range`
NumericShaper.Range.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NumericShaper.Range[]`
NumericShaper.Range.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt.font that return types with arguments of type NumericShaper.Range
Modifier and Type
Method
Description
`Set<NumericShaper.Range>`
NumericShaper.`getRangeSet()`
Returns a `Set` representing all the Unicode ranges in this `NumericShaper` that will be shaped.
Methods in java.awt.font with parameters of type NumericShaper.Range
Modifier and Type
Method
Description
`static NumericShaper`
NumericShaper.`getContextualShaper(Set<NumericShaper.Range> ranges, NumericShaper.Range defaultContext)`
Returns a contextual shaper for the provided Unicode range(s).
`static NumericShaper`
NumericShaper.`getShaper(NumericShaper.Range singleRange)`
Returns a shaper for the provided Unicode range.
`void`
NumericShaper.`shape(char[] text, int start, int count, NumericShaper.Range context)`
Converts the digits in the text that occur between `start` and `start + count`, using the provided `context`.
Method parameters in java.awt.font with type arguments of type NumericShaper.Range
Modifier and Type
Method
Description
`static NumericShaper`
NumericShaper.`getContextualShaper(Set<NumericShaper.Range> ranges)`
Returns a contextual shaper for the provided Unicode range(s).
`static NumericShaper`
NumericShaper.`getContextualShaper(Set<NumericShaper.Range> ranges, NumericShaper.Range defaultContext)`
Returns a contextual shaper for the provided Unicode range(s).